apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: rathole
  name: rathole
spec:
  replicas: 1
  selector:
    matchLabels:
      app: rathole
  strategy: {}
  template:
    metadata:
      labels:
        app: rathole
    spec:
      containers:
        - image: docker.io/rapiz1/rathole:v0.5.0
          name: rathole
          imagePullPolicy: IfNotPresent
          args:
            - /etc/rathole/server.toml
          ports:
            - containerPort: 2333
              protocol: TCP
              name: clients
            - containerPort: 5202
              protocol: TCP
              name: exposed
          volumeMounts:
            - name: config
              mountPath: /etc/rathole
          resources: {}
      volumes:
        - name: config
          secret:
            secretName: rathole-config
